#!/usr/bin/perl

use strict;
use Test::More skip_all => 'we do not want to go outside';
use DataCash::XMLDocument;
use DataCash::XMLSSLAgent;
use Data::Dumper;

my $request=new DataCash::XMLDocument;

$request->carddetails(pan=>"4444333322221111",expirydate=>"01/03");
$request->amount(amount=>'5.99',currency=>'USD');
$request->method('pre');
$request->reference(time());
$request->authentication(client=>'21859999',password=>'fred');

$request->cv2(345);
$request->avs(street_address1=>'14 Links Place',
	      street_address2=>'Edinburgh',
	      postcode=>'EH6 7EZ',
	      policy=>3);

my $agent = new DataCash::XMLSSLAgent(configfile => "t/example.conf");
my $response=$agent->send($request);

my $status = $response->get("status");
my $authcode = $response->get("CardTxn.authcode");
my ($value, $attrs) = $response->get("CardTxn.Cv2Avs.cv2avs_status");
my $time = $response->get("time");
my $dcref = $response->get("datacash_reference");

print "1..5\n";
if (defined $agent) {
  print "ok 1\n";
}
else {
  print "not ok 1\n";
}

if (defined $response) {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}

if (defined $status) {
  print "ok 3\n";
}
else {
  print "not ok 3\n";
}

if (defined $time) {
  print "ok 4\n";
}
else {
  print "not ok 4\n";
}

if ($time > 999999999) {
  print "ok 5\n";
}
else {
  print "not ok 5\n";
}
