#!/usr/bin/perl

use ExtUtils::MakeMaker;

use strict;

my $reqs={
	'Data::Dumper' => 0
};

my $missing=0;

print "Checking for required modules...\n";
foreach my $req (keys(%$reqs)) {
	print "\t$req... ";
	eval {
		my $tmp = $req;
		$tmp =~ s/::/\//;
		$tmp .= ".pm";
		require $tmp;
	};
	if ($@) {
		print "Not found!\n";
		$missing++;
	} else {
		print "OK\n";
	}
}
print "\n";

if ($missing) {
	print "You must ensure that the above required files are installed.\n";
	print "These files can be obtained from CPAN (www.cpan.org) or your\n";
	print "nearest mirror...\n";
	exit 0;
}

WriteMakefile (
	'NAME' => "XML::Hash",
	($[ >= 5.005) ?
		('AUTHOR'   => 'Kas Robson (kxr@datacash.com), DataCash Ltd.',
		'ABSTRACT' => 'XML::Hash provides a means of converting data back and forth between an XML representation and representation internally as a big hashref.') : (),
	'VERSION_FROM' => 'lib/XML/Hash.pm'
);

print "\n";